# XmSpinBox

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmSpinBox - Motif-compatible spin-box widget

## SYNOPSIS

#include <Xm/SpinB.h>

XmSpinBox

XmCreateSpinBox

## DESCRIPTION

XmSpinBox

## X RESOURCES

Name | Class | Type | Default | Access

XmNarrowLayout | XmCArrowLayout | ArrowLayout | NULL | CSG
XmNarrowSize | XmCArrowSize | ArrowSize | NULL | CSG
XmNdefaultArrowSensitivity | XmCDefaultArrowSensitivity | DefaultArrowSensitivity | NULL | CSG
XmNdetailShadowThickness | XmCDetailShadowThickness | HorizontalDimension | NULL | CSG
XmNinitialDelay | XmCInitialDelay | Int | 250 | CSG
XmNmarginHeight | XmCMarginHeight | VerticalDimension | NULL | CSG
XmNmarginWidth | XmCMarginWidth | HorizontalDimension | NULL | CSG
XmNmodifyVerifyCallback | XmCCallback | Callback | NULL | CSG
XmNrepeatDelay | XmCRepeatDelay | Int | 200 | CSG
XmNspacing | XmCSpacing | Spacing | NULL | CSG
XmNvalueChangedCallback | XmCCallback | Callback | NULL | CSG
XmNnavigationType | XmCNavigationType | NavigationType | NULL | CSG

XmNarrowLayout

XmNarrowSize

XmNdefaultArrowSensitivity

XmNdetailShadowThickness

XmNinitialDelay

XmNmarginHeight

XmNmarginWidth

XmNmodifyVerifyCallback

XmNrepeatDelay

XmNspacing

XmNvalueChangedCallback

XmNnavigationType

## CLASS HIERARCHY

Object(3) Rect(3) UnNamedObj(3) Core(3) Composite(3) Constraint(3) XmManager(3) XmSpinBox(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.